[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible Arch Linux: explain some (perceived) inconsistencies

Holger Levsen holger at layer-acht.org
Mon Dec 11 20:17:19 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit b03e6ca450c6e4603bb2ca8c761949c8147a8545
Author: Holger Levsen <holger at layer-acht.org>
Date:   Mon Dec 11 20:17:11 2017 +0000

    reproducible Arch Linux: explain some (perceived) inconsistencies
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_archlinux_scheduler.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/bin/reproducible_archlinux_scheduler.sh b/bin/reproducible_archlinux_scheduler.sh
index 8eaf468..0843af9 100755
--- a/bin/reproducible_archlinux_scheduler.sh
+++ b/bin/reproducible_archlinux_scheduler.sh
@@ -47,12 +47,16 @@ update_archlinux_repositories() {
 					if [ -f $BASE/archlinux/$REPO/$pkgbase/pkg.version ] ; then
 						VERSION=$(cat $BASE/archlinux/$REPO/$pkgbase/pkg.version 2>/dev/null)
 						if [ "$VERSION" != "$version" ] ; then
-							echo "We know about $pkgbase $VERSION, but repo has $version."
-							if [ "$(schroot --run-session -c $SESSION --directory /var/tmp -- vercmp $version $VERSION)" = "1" ] ; then
+							VERCMP="$(schroot --run-session -c $SESSION --directory /var/tmp -- vercmp $version $VERSION || true)
+							if [ "$VERCMP" = "1" ] ; then
 								# schedule packages where an updated version is availble
 								echo $REPO/$pkgbase >> $UPDATED
 								echo "$(date -u ) - we know about $REPO/$pkgbase $VERSION, but the repo has $version, so rescheduling... "
 								touch $BASE/archlinux/$REPO/$pkgbase/pkg.needs_build
+							elif [ "$VERCMP" = "-1" ] ; then
+								echo "We know about $pkgbase $VERSION, but repo has $version, but thats ok because we build from trunk."
+							else
+								echo "This should never happen: we know about $pkgbase $VERSION, but repo has $version."
 							fi
 						fi
 					else

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list